char *maakString(long getal)
{
        char buffer[20];
        int lengte;
        char *resultaat;

        /* Bijzonder geval. Als we deze regel zouden weglaten,
         * zou het resultaat van maakString(0) een lege string zijn
         */
        if (getal == 0) {
                resultaat = malloc(2);
                strcpy(resultaat,"0");
                return resultaat;
        }

        lengte = 0;

        /* Eerst de string achterstevoren maken
         * (getal%10 geeft het laatste cijfer)
         */
        while (getal != 0) {
                /* We veronderstellen dat de code van '0'
                 * 1 minder is dan '1', 2 minder dan '2' enz.
                 * (dit is het geval in de ASCII codering)
                 */
                buffer[lengte] = getal%10 + '0';
                getal = getal / 10;
                lengte = lengte + 1;
        }

        /* lengte + 1 bytes, want we mogen de nulbyte niet vergeten */
        resultaat = malloc(lengte + 1);

        {       /* Resultaat omkeren */
                int tel, telaf;

                tel = 0;
                telaf = lengte-1;
                while (tel < telaf) {
                        resultaat[tel] = buffer[telaf];
                        resultaat[telaf] = buffer[tel];

                        tel = tel + 1;
                        telaf = telaf - 1;
                }
        }

        /* De string netjes afsluiten met een nulbyte */
        resultaat[lengte] = 0;

        return resultaat;
}

