#include <string.h>       /* voor strcmp() en strcpy() */
#include <stdlib.h>       /* voor atoi() */
#include <stdio.h>        /* voor FILE */

#include "argumenten.h"

int tab = 8;
int breed = 80;
int hoog = 66;
int vanblz = 1;
int totblz = 10000;
char bestandsnaam[255];

#define strgelijk(a,b) (strcmp(a,b) == 0)

/* Geeft 0 terug als alles OK was */
FILE *verwerkArgumenten(int argc,char **argv)
{
        int tel;
        FILE *bestand = NULL;

        for (tel = 1; tel < argc; tel++) {
                if (strgelijk(argv[tel],"tab"))
                        tab = atoi(argv[++tel]);
                else if (strgelijk(argv[tel],"breed"))
                        breed = atoi(argv[++tel]);
                else if (strgelijk(argv[tel],"hoog"))
                        hoog = atoi(argv[++tel]);
                else if (strgelijk(argv[tel],"vanblz"))
                        vanblz = atoi(argv[++tel]);
                else if (strgelijk(argv[tel],"totblz"))
                        totblz = atoi(argv[++tel]);
                else {  /* argv[tel] bevat bestandsnaam */
                        if (bestand) {
                                /* Als er meer dan een bestand opgegeven
                                 * is, gebruik dan het eerste
                                 * en sla de andere over */
                                printf("Waarschuwing: meer dan een bestandsnaam"
                                        " opgegeven (%s overgeslagen)\n",
                                        argv[tel]);
                        } else {
                                bestand = fopen(argv[tel],"r");
                                strcpy(bestandsnaam,argv[tel]);
                                if (!bestand)
                                        printf("Waarschuwing: kon bestand %s "
                                                "niet lezen\n",argv[tel]);
                        }
                }
        }
        return bestand;
}

