#include <stdio.h>
#include <string.h>

/* Vervang in een string "\t" door een tab-symbool
 * en "\\" door een enkele backslash */
void unslash(const char *source,char *dest) {
        while (*source) {
                if (*source == '\\') {
                        source++;  /* ga naar letter na de backslash */
                        switch (*source) {
                                case 't': *dest++ = '\t';
                                        break;
                                default: *dest++ = '\\';
                                        *dest++ = *source++;
                                        break;
                        }
                        source++;  /* sla letter na backslash over */
                } else *dest++ = *source++;
        }
        *dest = 0;   /* resultaat doen eindigen op nullbyte */
}

int main(int argc,char **argv) {
        char buff[1024];
        char searchtext[1024];
        if (argc != 3) {
                puts("Gebruik: zv zoektekst vervangtekst");
                return 10;
        }
        unslash(argv[1],searchtext);
        while (fgets(buff,sizeof(buff),stdin)) {
                char *toprint = buff;
                /* resultaat van fgets() eindigt op een \n */
                buff[strlen(buff)-1] = 0;     /* verwijder die \n */
                while (1) {
                        char *pos = strstr(toprint,searchtext);
                        if (!pos) {   /* zoektekst niet gevonden */
                                puts(toprint);
                                break;
                        }
                        *pos = 0;
                        printf("%s%s",toprint,argv[2]);
                        toprint = pos + strlen(searchtext);
                }
        }
        return 0;
}
