#include <stdio.h>
#include <netdb.h>
#include <netinet/in.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <string.h>         /* voor memcpy() */

#include "fopensock.h"

FILE *fopenSocket(struct hostent *host,int poort)
{
        int pries;
        struct sockaddr_in priesAddr;
        FILE *resultaat;

        if (!host) return NULL;
        pries = socket(AF_INET,SOCK_STREAM,0);
        if (pries < 0) return NULL;

        memcpy(&priesAddr.sin_addr,host->h_addr,host->h_length);
        priesAddr.sin_family = AF_INET;
        priesAddr.sin_port = htons(poort);
        if (connect(pries,(struct sockaddr *)&priesAddr,
                sizeof(struct sockaddr_in)) < 0)
                return NULL;

        resultaat = fdopen(pries,"r+");
        setbuf(resultaat,NULL); /* buffering uitzetten */
        return resultaat;
}
