#include <stdio.h>
#include <netdb.h>

#include "fopensock.h"

/* Een ietwat roekeloze versie, die niet controleert of
 * de mail-server wel antwoordt dat alles ok is ... */
void sendmail(FILE *socket,char *van,char *naar,char *bericht)
{
        char buff[255];

        /* De mailserver vindt het blijkbaar absoluut noodzakelijk
         * dat zijn eerste regel daadwerkelijk gelezen wordt door de client.
         * Dus doen we dat maar ... */
        fgets(buff,sizeof(buff),socket);

        fprintf(socket,"MAIL FROM: %s\n",van);
        fprintf(socket,"RCPT TO: %s\n",naar);
        /* Op de volgende regel wordt het eigenlijke bericht verstuurd.
         * De mail-server veronderstelt dat het bericht gedaan is als
         * hij een regel met alleen maar een punt erop tegenkomt.
         * Als er in het bericht dus al zo'n regel zit, is dat dikke pech ... */
        fprintf(socket,"DATA\n%s\n.\n",bericht);
        fputs("QUIT\n",socket);
}

int main(void)
{
        FILE *mailsocket;

        mailsocket = fopenSocket(gethostbyname("thanatos"),25);
        sendmail(mailsocket,"een.bewonderaar","geert@thanatos",
                "Subject: ik wacht ...\n"
                "Wanneer is die nieuwe versie van de C cursus nu klaar?\n"
                "Ik wacht al een maand!");
        fclose(mailsocket);
        return 0;
}
