#include <stdio.h>
#include <sgtty.h>

struct sgttyb _tty;

#define initty() gtty(0,&_tty)

#define echo()   (_tty.sg_flags |= ECHO, stty(0, &_tty))
#define noecho() (_tty.sg_flags &= ~ECHO, stty(0, &_tty))

#define raw()    (_tty.sg_flags |= RAW, stty(0,&_tty))
#define noraw()  (_tty.sg_flags &= ~RAW, stty(0,&_tty))

int main(void) {
        char c;
        initty();
        raw();
        noecho();
        printf("OCTAL | HEXA | DECI | ASCII\n\r---------------------------\n\r");
        while(c=getchar()) {
                printf("%4o  | %4x | %4d | ",c,c,c);
                if(c < 32)
                        printf("^%c\n\r",c+64);
                else    if(c == 32)             printf("sp\n\r");
                        else    if(c == 127)    printf("del\n\r");
                                else            printf(" %c\n\r",c);
        }
        echo();
        noraw();
}

