#include <stdio.h>

#include "argumenten.h"
#include "letter.h"

int main(int argc,char **argv)
{
        FILE *bestand;
        int letter;

        if (argc <= 1) {
                /* Er zijn geen argumenten opgegeven; geef een
                 * korte uitleg over het gebruik van het programma */
                puts("pretty bestandsnaam [tab 8][breed 80][hoog 66]"
                        "[vanblz #][totblz #]");
                return 0;
        }
        bestand = verwerkArgumenten(argc,argv);
        if (!bestand) {
                puts("pretty: geen bestand opgegeven, "
                        "of bestand niet leesbaar");
                return 10;
        }
        while( (letter=getc(bestand)) != EOF)
                verwerkLetter(letter);
        return 0;
}
