#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "cgisup.h"

int main(void)
{
        int juist,gok;

        InterpretArgs();
        puts("Content-type: text/html\n");

        {       /* lees gok van de speler */

                char *gokArg = GetArg("gok");

                if (gokArg == NULL) {
                        puts("<H1>Fout</H1> Parameter 'gok' niet gevonden!");
                        return 10;
                }
                gok = atoi(gokArg);
        }

        {       /* bepaal de oplossing */

                char *juistArg = GetArg("juist");

                if (juistArg == NULL) {
                        /* Dit is de eerste gok.
                         * Kies een willekeurig getal ... */
                        srand(time(NULL));
                        juist = rand() * 100.0 / (RAND_MAX+1.0) + 1;
                } else {
                        /* Dit is niet de eerste gok.
                         * Haal het eerder gekozen willekeurig getal op. */
                        juist = atoi(juistArg);
                }
        }

        if (juist == gok) {
                puts("<H1>Juist!</H1>\n"
                        "<A HREF=raadhetgetal.html>Nog eens proberen?</A>");
        } else {
                if (gok < juist) puts("<H1>Te laag!</H1>");
                else puts("<H1>Te hoog!</H1>");
                puts("<FORM METHOD=POST ACTION=raadhetgetal.cgi>\n"
                        "Uw gok: <INPUT NAME=gok>\n"
                        "<P>");
                printf("<INPUT NAME=juist TYPE=hidden VALUE=%d>\n",juist);
                puts("<INPUT TYPE=submit VALUE=OK>");
                puts("</FORM>");
        }
        return 0;
}
